=== debian/changelog ===
dtkaudiomanager (1.0.3-1) unstable; urgency=medium

  * update

 -- Packages Builder <packages@deepin.com>  Tue, 17 Jan 2023 13:48:03 +0800

dtkaudiomanager (1.0.3) unstable; urgency=medium

  * master 1.0.3

 -- Deepin Packages Builder <packages@deepin.com>  Tue, 17 Jan 2023 13:36:40 +0800

dtkaudiomanager (1.0.0) unstable; urgency=medium

  * Initial release

 -- Deepin Packages Builder <packages@deepin.com>  Fri, 01 Jul 2022 14:29:07 +0800
