=== debian/control ===
Source: dtkaudiomanager
Section: libdevel
Priority: optional
Maintainer: Packages Builder <packages@deepin.com>
Build-Depends:
 debhelper-compat (= 12),
 cmake,
 doxygen,
 qhelpgenerator-qt5 | qttools5-dev-tools,
 qtbase5-dev,
 libdtkcore-dev
Standards-Version: 4.5.0

Package: libdtkaudiomanager
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Deepin Tool Kit template library
 libdtkaudiomanager is base library of Deepin Qt/C++ applications.
 .
 This package contains the shared libraries.

Package: libdtkaudiomanager-dev
Architecture: any
Depends:${misc:Depends}, libdtkaudiomanager( =${binary:Version})
Description: Deepin Tool Kit template devel library
 libdtkaudiomanager-dev is base devel library of Deepin Qt/C++ applications.
 .
 This package contains the header files and static libraries.
